Как обновить OpenSSL до 1.0.1h

В настоящее время я запускаю Ubuntu 13.10, а моя версия OpenSSL 1.0.1е. В соответствии с последним предупреждением о безопасности, я хотел бы обновить его до 1.0.1h.

Я пробовал apt-get upgrade openssl (не хочу обновлять все) и apt-get install openssl но он не работает. Результат OpenSSL-версии тот же, OpenSSL 1.0.1e 11 февраля 2013 (дата – важный бит).

Как я могу выполнить обновление до 1.0.1h (желательно без его компиляции)?

    Ubuntu 13.10 является поддерживаемой ветвью Ubuntu, что означает, что он получает критические обновления безопасности для всех пакетов.

    Пакет openssl, который вы установили, не является vanilla openssl v1.0.1e , а v1.0.1e-3ubuntu1.4 как вы можете видеть в профиле пакета .

    Часть -3ubuntu1.4 означает, что пакет был модифицирован сопровождающим по некоторым причинам (возможно, исправления безопасности из версий выше по течению).

    Если вы теперь посмотрите на журнал изменений этой конкретной версии, созданной разработчиком, вы увидите, что все проблемы, обнаруженные с момента развертывания v1.0.1e, были зафиксированы в этой версии, созданной разработчиком.

    Короче говоря, ваш пакет openssl обновлен с точки зрения безопасности, поэтому вам не нужно обновлять.